### Function

# FwupdPlugin sum16w

since: 1.8.2

#### Declaration [src]

    guint16
    fu_sum16w (
      const guint8* buf,
      gsize bufsz,
      FuEndianType endian
    )

#### Description [src]

Returns the arithmetic sum of all bytes in `buf`, adding them one word at a time. The caller must ensure that `bufsz` is a multiple of 2.

Available since: 1.8.2

#### Parameters

`buf`

  Type: `const guint8*`

  Memory buffer.

  The data is owned by the caller of the function.

`bufsz`

  Type: `gsize`

  Size of `buf`.

`endian`

  Type: `FuEndianType`

  An endian type, e.g. `G_LITTLE_ENDIAN`.

#### Return value

Type: `guint16`

Sum value.